<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">

        <title>HTML - Forms, Tables and Semantic HTML</title>
    </head>

    <body>
        <header>
            <h2 align="center">HTML Entities</h2>
        </header>

        <main>
            <!-- Table section -->
            <section>
                <p><em>Reserved characters in HTML (e.g. &lt; or &gt;) that can be mixed with HTML code.</em></p>

                <table border="2">
                    <!-- Table header -->
                    <thead>
                        <tr>
                            <th colspan="2">Entity</th>
                            <th rowspan="2">Description</th>
                        </tr>

                        <tr>
                            <th>Symbol</th>
                            <th>Name/Number</th>
                        </tr>
                    </thead>

                    <!-- Table body -->
                    <tbody>
                        <tr>
                            <td>&lt;</td>
                            <td>lt</td>
                            <td>less than</td>
                        </tr>

                        <tr>
                            <td>&gt;</td>
                            <td>gt</td>
                            <td>greater than</td>
                        </tr>

                        <tr>
                            <td>&#8369;</td>
                            <td>#8369</td>
                            <td>peso sign</td>
                        </tr>

                        <tr>
                            <td>&amp;</td>
                            <td>amp</td>
                            <td>ampersand</td>
                        </tr>

                        <tr>
                            <td>&quot;</td>
                            <td>quot</td>
                            <td>double quotation mark</td>
                        </tr>

                        <tr>
                            <td>&apos;</td>
                            <td>apos</td>
                            <td>single quotation mark (apostrophe)</td>
                        </tr>

                        <tr>
                            <td>&ntilde;</td>
                            <td>ntilde</td>
                            <td>Lower Tilde</td>
                        </tr>

                        <tr>
                            <td>&Ntilde;</td>
                            <td>Ntilde</td>
                            <td>Upper Tilde</td>
                        </tr>
                    </tbody>

                    <!-- Table footer -->
                    <tfoot>
                        <tr>
                            <th colspan="3">List of HTML Entities</th>
                        </tr>
                    </tfoot>
                </table>
            </section>
            <!-- End of Table section -->

            <!-- HTML Form section -->
            <section>
                <h2 align="center">HTML Form</h2>

                <p><em>Input elements that make up a form.</em></p>

                <form>
                    <!-- Text input -->
                    <label for="fullname">Full name:</label>
                    <br/>
                    <input type="text" name="fullname" id="fullname" required autocomplete=""/>
                    <br/><br/>

                    <!-- Date input -->
                    <label for="birthdate">Birthdate:</label>
                    <br/>
                    <input type="date" name="birthdate" id="birthdate" required/>
                    <br/><br/>

                    <!-- Number input -->
                    <label for="age">Age:</label>
                    <br/>
                    <input type="number" name="age" id="age" required/>
                    <br/><br/>

                    <!-- Dropdown -->
                    <label for="gender">Gender:</label>
                    <select name="gender" id="gender">
                        <option value="male">Male</option>
                        <option value="female">Female</option>
                    </select>
                    <br/><br/>

                    <!-- Text Area -->
                    <label for="suggestion">Suggestion:</label>
                    <br/>
                    <textarea name="suggestion" rows="5" cols="20" id="suggestion"></textarea>
                    <br/><br/>

                    <!-- Radio button -->
                    <label>Civil status</label>
                    <br/>
                    <input type="radio" name="civilStatus" value="single" id="single"/>
                    <label for="single">Single</label>
                    <br/>
                    <input type="radio" name="civilStatus" value="married" id="married"/>
                    <label for="married">Married</label>
                    <br/><br/>

                    <!-- Checkbox -->
                    <label>Job:</label>
                    <br/>
                    <input type="checkbox" name="job01" value="developer" id="developer"/>
                    <label for="developer">Developer</label>
                    <input type="checkbox" name="job02" value="student" id="student"/>
                    <label for="student">Student</label>
                    <input type="checkbox" name="job03" value="manager" id="manager"/>
                    <label for="manager">Manager</label>
                    <br/><br/>

                    <!-- Submit button -->
                    <button>Submit</button>

                    <!-- Clear button -->
                    <button type="reset">Reset</button>
                </form>
            </section>
        </main>
    </body>

</html>